import { getEnumTypeList, getEnumTypeName } from './index'

/**
 * 定价类型
 */
export enum PriceType {
    Fixed = 1, // 一口价
    Pricing = 2, // 点价
    Temporary = 3, // 暂定价
}

/**
 * 获取类型列表
 * @returns 
 */
export function getPriceTypeList() {
    return getEnumTypeList('pricetype');
}

/**
 * 获取枚举名称
 * @param value 
 * @returns 
 */
export function getPriceTypeName(value: number) {
    return getEnumTypeName(getPriceTypeList(), value);
}

/**
 * 判断类型是否相同
 * @param key 
 * @param value 
 * @returns 
 */
export function isEqualPriceType(key: keyof typeof PriceType, value: number) {
    return PriceType[key] === value;
}